メインコンテンツへスキップ
POST
/
api
/
v1
/
organizations
/
{organizationId}
/
spends
/
import
Import spends
curl --request POST \
  --url https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/spends/import \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "data": [
    {
      "date": "2024-10-23",
      "amount": 1000,
      "currency": "usd",
      "serviceName": "Dropbox",
      "description": "Dropbox yearly subscription"
    }
  ]
}
'
import requests

url = "https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/spends/import"

payload = { "data": [
{
"date": "2024-10-23",
"amount": 1000,
"currency": "usd",
"serviceName": "Dropbox",
"description": "Dropbox yearly subscription"
}
] }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
data: [
{
date: '2024-10-23',
amount: 1000,
currency: 'usd',
serviceName: 'Dropbox',
description: 'Dropbox yearly subscription'
}
]
})
};

fetch('https://api.itmc.i.moneyforward.com/api/v1/organizations/{organizationId}/spends/import', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "requestId": "123e4567-e89b-12d3-a456-426614174000"
}

承認

Authorization
string
header
必須

For authenticated requests, set the Authorization: Bearer your_api_key parameter in the header.
You can create and manage your API Keys by visiting the API Keys tab in the Settings page of your organization in Admina

パスパラメータ

organizationId
number
必須

ボディ

application/json
data
object[]
必須

レスポンス

200 - application/json
requestId
string
必須
read-only
:

"123e4567-e89b-12d3-a456-426614174000"

最終更新日 2026年7月14日